CMSIS-DSP: Convert 16-bit Integer value

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Convert 16-bit Integer value
Support Functions

## Functions
void | arm_q15_to_float (q15_t *pSrc, float32_t *pDst, uint32_t blockSize)
| Converts the elements of the Q15 vector to floating-point vector. More...
void | arm_q15_to_q31 (q15_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Converts the elements of the Q15 vector to Q31 vector. More...
void | arm_q15_to_q7 (q15_t *pSrc, q7_t *pDst, uint32_t blockSize)
| Converts the elements of the Q15 vector to Q7 vector. More...

## Description

## Function Documentation

void arm_q15_to_float | ( | q15_t * | pSrc,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *pSrc | points to the Q15 input vector
  [out] | *pDst | points to the floating-point output vector
  [in] | blockSize | length of the input vector

Returns
  none.

Description:

The equation used for the conversion process is:

            pDst[n] = (float32_t) pSrc[n] / 32768;   0 <= n < blockSize.

References blockSize.

void arm_q15_to_q31 | ( | q15_t * | pSrc,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *pSrc | points to the Q15 input vector
  [out] | *pDst | points to the Q31 output vector
  [in] | blockSize | length of the input vector

Returns
  none.

Description:

The equation used for the conversion process is:

            pDst[n] = (q31_t) pSrc[n] << 16;   0 <= n < blockSize.

References __SIMD32, and blockSize.

void arm_q15_to_q7 | ( | q15_t * | pSrc,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *pSrc | points to the Q15 input vector
  [out] | *pDst | points to the Q7 output vector
  [in] | blockSize | length of the input vector

Returns
  none.

Description:

The equation used for the conversion process is:

            pDst[n] = (q7_t) pSrc[n] >> 8;   0 <= n < blockSize.

References __PKHBT, __PKHTB, __SIMD32, and blockSize.